import numpy as np


def polygon_center(corners):
    res = np.zeros(2)
    for p in corners:
        res += p
    return res / len(corners)


def center_for_multipin(pins):
    res = np.zeros(2)
    for p in pins:
        res[0] += p.r
        res[1] += p.c
    return res / len(pins)
